com.h3c.util

## Class HTMLUtils.Page

- java.lang.Object
- - com.h3c.util.WebUtils.Tag
  - - com.h3c.util.HTMLUtils.Page

- Enclosing class:
    HTMLUtils

      public static class HTMLUtils.Page
      extends WebUtils.Tag

  HTML page tag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLUtils.Page(HTMLUtils.Head head, HTMLUtils.Body body)` Creates a new HTML page tag using the supplied head and body tags.
    `HTMLUtils.Page(String title)` Creates a new HTML page tag, including the embedded head and body tags.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTMLUtils.Body` | `body()` Get the embedded HTML body tag.
    `HTMLUtils.Head` | `head()` Get the embedded HTML head tag.

    - ### Methods inherited from class com.h3c.util.WebUtils.Tag

      `addCData, addContent, addContent, addContent, addContent, attr, hasContent, noShorthand, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLUtils.Page

          public HTMLUtils.Page(HTMLUtils.Head head,
                        HTMLUtils.Body body)

      Creates a new HTML page tag using the supplied head and body tags.
      Parameters:
        `head` - HTML head tag
        `body` - HTML body tag

    - #### HTMLUtils.Page

          public HTMLUtils.Page(String title)

      Creates a new HTML page tag, including the embedded head and body tags. The embedded HTML head tag will be created using the specified title.
      Parameters:
        `title` - HTML head title

  - ### Method Detail

    - #### head

          public HTMLUtils.Head head()

      Get the embedded HTML head tag.
      Returns:
        HTML page head tag

    - #### body

          public HTMLUtils.Body body()

      Get the embedded HTML body tag.
      Returns:
        HTML page body tag

Copyright © 2014. All Rights Reserved.